> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Virtual Account Number

> Fetch a virtual account number details using order reference order ref



## OpenAPI

````yaml get /virtual-account-numbers/{order_ref}
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /virtual-account-numbers/{order_ref}:
    get:
      tags:
        - Virtual Account Numbers
      summary: Fetch a Virtual Account Number
      description: Fetch a virtual account number details using order reference order ref
      operationId: FetchaVirtualAccountNumber
      parameters:
        - name: order_ref
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: URF_1710840858834_6473835
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '430'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1ae-gOS3714O98UwOUPXmORTwA"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 20 Jan 2020 12:03:30 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse16'
                  - example:
                      status: success
                      message: Virtual nuban fetched
                      data:
                        response_code: '02'
                        response_message: Transaction in progress
                        flw_ref: FLW-9b04c88aaf2244379f256691836fd9c9
                        order_ref: URF_1579513580629_5981535
                        account_number: '7826463244'
                        frequency: '5'
                        bank_name: WEMA BANK
                        created_at: '2020-01-20 09:46:23'
                        expiry_date: '2020-01-25 23:59:59'
                        note: Please make a bank transfer to Earth Gang
                        amount: 50700
              example:
                status: success
                message: Virtual nuban fetched
                data:
                  response_code: '02'
                  response_message: Transaction in progress
                  flw_ref: FLW-9b04c88aaf2244379f256691836fd9c9
                  order_ref: URF_1579513580629_5981535
                  account_number: '7826463244'
                  frequency: '5'
                  bank_name: WEMA BANK
                  created_at: '2020-01-20 09:46:23'
                  expiry_date: '2020-01-25 23:59:59'
                  note: Please make a bank transfer to Earth Gang
                  amount: 50700
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 09:20:52 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '57'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"39-bYUPLRXsM+Q+E7qKvaj4BA"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: No order found
                      data: null
              example:
                status: error
                message: No order found
                data: null
      deprecated: false
components:
  schemas:
    SampleSuccessResponse16:
      title: SampleSuccessResponse16
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data49'
      example:
        status: success
        message: Virtual nuban fetched
        data:
          response_code: '02'
          response_message: Transaction in progress
          flw_ref: FLW-9b04c88aaf2244379f256691836fd9c9
          order_ref: URF_1579513580629_5981535
          account_number: '7826463244'
          frequency: '5'
          bank_name: WEMA BANK
          created_at: '2020-01-20 09:46:23'
          expiry_date: '2020-01-25 23:59:59'
          note: Please make a bank transfer to Earth Gang
          amount: 50700
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data49:
      title: Data49
      required:
        - response_code
        - response_message
        - flw_ref
        - order_ref
        - account_number
        - frequency
        - bank_name
        - created_at
        - expiry_date
        - note
        - amount
      type: object
      properties:
        response_code:
          type: string
        response_message:
          type: string
        flw_ref:
          type: string
        order_ref:
          type: string
        account_number:
          type: string
        frequency:
          type: string
        bank_name:
          type: string
        created_at:
          type: string
        expiry_date:
          type: string
        note:
          type: string
        amount:
          type: integer
          format: int32
      example:
        response_code: '02'
        response_message: Transaction in progress
        flw_ref: FLW-9b04c88aaf2244379f256691836fd9c9
        order_ref: URF_1579513580629_5981535
        account_number: '7826463244'
        frequency: '5'
        bank_name: WEMA BANK
        created_at: '2020-01-20 09:46:23'
        expiry_date: '2020-01-25 23:59:59'
        note: Please make a bank transfer to Earth Gang
        amount: 50700
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````